2019-08-23 16:29 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005227Spring engineGeneralpublic2016-05-19 16:06
ReporterMadrMan 
Assigned ToMadrMan 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005227: Graphical glitch obscuring most of the screen
DescriptionDuring combat (and in particular while units are exploding, but not exclusively), large parts of the screen are obscured by backdrop-coloured polys.

See screenshots:
https://dl.dropboxusercontent.com/u/314911/spring/screen00002.jpg
https://dl.dropboxusercontent.com/u/314911/spring/screen00000.jpg
https://dl.dropboxusercontent.com/u/314911/spring/screen00003.jpg (note how some of the units actually clip through the blackness)
https://dl.dropboxusercontent.com/u/314911/spring/screen00004.jpg
https://dl.dropboxusercontent.com/u/314911/spring/screen00006.jpg

Tried this on two GPUs:
(Old-ish) AMD gpu - happens a LOT during battles, makes it nearly impossible to play. DebugGL doesn't show anything at all (driver doesn't support it, i guess.)
Recent (mobile) NVIDIA gpu - happens very rarely here, but it does happen. DebugGL works fine but doesn't give any errors.

I'm guessing there's a vbo underflowing somewhere and the AMD is a little more upset about it than the nvid gpu.

This already happened in 100.0 and 101.0 with my AMD gpu, but much much much less. It's practically impossible to look at any combat now.

Attached infolog is from the AMD gpu.

I tried to check with some validation tools if anything was wrong, but nvidia absolutely refuses to support any of their debug tools on their mobile gpus. *sigh*

Turning off LuaUI does not make a difference.
Steps To Reproduce/cheat
/give 200 corak
control-d
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (85,508 bytes) 2016-05-05 11:26 -
    Debug: [CpuId] leaf 4 support
    [ParseCmdLine] command-line args: "D:\Share\RelWithDebInfo\gcc\spring.exe"
    Using configuration source: "D:\Share\RelWithDebInfo\gcc\springsettings.cfg"
    Using additional configuration source: "E:\Users\MadrMan\Documents\My Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    DebugGL = 1
    Fullscreen = 0
    HardwareCursor = 1
    InputTextGeo = 0.26 0.73 0.02 0.028
    LastSelectedMap = Green_Fields_fix
    LastSelectedMod = Tech Annihilation test-5614-430398f
    LastSelectedScript = Player Only: Testing Sandbox
    ScreenshotCounter = 8
    ShadowMapSize = 4429
    Shadows = 1
    ShowFPS = 1
    ShowSpeed = 1
    Water = 0
    WindowPosX = 8
    WindowPosY = 28
    XResolutionWindowed = 1904
    YResolutionWindowed = 1044
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, OBJParser, ModelRenderContainer, Shader, Texture, Font, SD, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path
    Enabled log sections: 
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 101.0.1-324-g505730f develop (Debug Sync-Trace Sync-Debug)
    Build Environment: boost-105500, GNU libstdc++ version 20150626
    Compiler Version:  gcc-4.9.3
    Operating System:  Microsoft Windows
    Microsoft Windows Vista Ultimate Edition, 64-bit Service Pack 2 (build 6002)
    Intel(R) Core(TM)2 Duo CPU     E8400  @ 3.00GHz; 4094MB RAM, 8418MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 1
     Logical CPU Cores: 2
    [CMyMath::Init] CPU SSE mask: 126, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  0
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 848x480, 720x576, 800x600, 1152x648, 1280x720, 1024x768, 1280x768, 1360x768, 1366x768, 1280x800, 1152x864, 1440x900, 1600x900, 1280x960, 1776x1000, 1280x1024, 1360x1024, 1400x1050, 1680x1050, 1920x1080, 1600x1200
    SDL version:  linked 2.0.4; compiled 2.0.4
    GL version:   3.3.11672 Compatibility Profile/Debug Context
    GL vendor:    ATI Technologies Inc.
    GL renderer:  ATI Radeon HD 4800 Series
    GLSL version: 3.30
    GLEW version: 1.5.8
    Video RAM:    total 230MB, available 454MB
    SwapInterval: 0
    Installing OpenGL-DebugMessageHandler
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 8192, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 45 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1030:24bit @60Hz (windowed)
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog] registering controls for thread [main]
    [ThreadPool::SetThreadCount][1] #wanted=1 #current=1 #max=1
    [ThreadPool::SetThreadCount][2] #threads=0
    [DataDirs] Portable Mode!
    Using read-write data directory: D:\Share\RelWithDebInfo\gcc\
    Using read-only data directory: E:\Users\MadrMan\Documents\My Games\Spring\
    Debug: Potentional data directory: E:\Users\MadrMan\Documents\Spring\
    Debug: Potentional data directory: E:\ProgramData\Spring\
    Scanning: E:\Users\MadrMan\Documents\My Games\Spring\maps
    Scanning: E:\Users\MadrMan\Documents\My Games\Spring\packages
    Scanning: D:\Share\RelWithDebInfo\gcc\maps
    Scanning: D:\Share\RelWithDebInfo\gcc\base
    Scanning: D:\Share\RelWithDebInfo\gcc\games
    [f=-000001] [Sound] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Speakers (Realtek High Definition Audio)
    [f=-000001] [Sound]               Speakers (Realtek High Definition Audio)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound]   Max Sounds: 128
    [f=-000001] [WatchDog] registering controls for thread [audio]
    [f=-000001] Joysticks found: 0
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=0 #current=1 #max=1
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=0
    [f=-000001] [Threading] Main thread CPU affinity mask set: 3
    [f=-000001] [InitOpenGL] video mode set to 1920x1030:24bit @60Hz (windowed)
    [f=-000001] Hosting on: localhost:8452
    [f=-000001] Connecting to local server
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Green_Fields_fix
    [f=-000001] [ArchiveScanner] GetArchives: Green_Fields_fix (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: 7ddafcdbf87475aadeb074f6c8d3235c.sdp (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\packages\7ddafcdbf87475aadeb074f6c8d3235c.sdp checksum: 203268655/203268655
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\springcontent.sdz checksum: 966654896/966654896
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\spring\bitmaps.sdz checksum: 369695027/369695027
    [f=-000001] [ArchiveScanner] archive checksum 7ddafcdbf87475aadeb074f6c8d3235c.sdp: 596197548/596197548
    [f=-000001] [ArchiveScanner] GetArchives: green_fields_fix.sd7 (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\maps\green_fields_fix.sd7 checksum: -1992992335/2301974961
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\maphelper.sdz checksum: -1180408475/3114558821
    [f=-000001] [ArchiveScanner] archive checksum green_fields_fix.sd7: 814824660/814824660
    [f=-000001] Warning: Opening socket on loopback address. Other users will not be able to connect!
    [f=-000001] Binding UDP socket to IP (v4) 127.0.0.1 (localhost) port 8452
    [f=-000001] [UDPListener] successfully bound socket on port 8452
    [f=-000001] PreGame::StartServer: 1115 ms
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Green_Fields_fix
    [f=-000001] [ArchiveScanner] GetArchives: Green_Fields_fix (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: Tech Annihilation test-5614-430398f (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=-000001] [AddGameSetupArchivesToVFS] using game: Tech Annihilation test-5614-430398f (archive: 7ddafcdbf87475aadeb074f6c8d3235c.sdp)
    [f=-000001] [ArchiveScanner] GetArchives: Green_Fields_fix (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\maps\green_fields_fix.sd7 checksum: -1992992335/2301974961
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\maphelper.sdz checksum: -1180408475/3114558821
    [f=-000001] [ArchiveScanner] archive checksum Green_Fields_fix: 814824660/814824660
    [f=-000001] [ArchiveScanner] GetArchives: 7ddafcdbf87475aadeb074f6c8d3235c.sdp (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\packages\7ddafcdbf87475aadeb074f6c8d3235c.sdp checksum: 203268655/203268655
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\springcontent.sdz checksum: 966654896/966654896
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\spring\bitmaps.sdz checksum: 369695027/369695027
    [f=-000001] [ArchiveScanner] archive checksum 7ddafcdbf87475aadeb074f6c8d3235c.sdp: 596197548/596197548
    [f=-000001] Recording demo to: D:\Share\RelWithDebInfo\gcc\demos\20160505_112249_Green_Fields_fix_101.0.1-324-g505730f develop.sdfz
    [f=-000001] PreGame::GameDataReceived: 173 ms
    [f=-000001] Sync trace log: trace0.log
    [f=-000001] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=-000001] [ArchiveScanner] GetArchives: Green_Fields_fix (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\maps\green_fields_fix.sd7 checksum: -1992992335/2301974961
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\maphelper.sdz checksum: -1180408475/3114558821
    [f=-000001] [ArchiveScanner] archive checksum Green_Fields_fix: 814824660/814824660
    [f=-000001] [ArchiveScanner] GetArchives: 7ddafcdbf87475aadeb074f6c8d3235c.sdp (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\packages\7ddafcdbf87475aadeb074f6c8d3235c.sdp checksum: 203268655/203268655
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\springcontent.sdz checksum: 966654896/966654896
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\spring\bitmaps.sdz checksum: 369695027/369695027
    [f=-000001] [ArchiveScanner] archive checksum 7ddafcdbf87475aadeb074f6c8d3235c.sdp: 596197548/596197548
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [WatchDog] registering controls for thread [load]
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (103 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] [defs.lua] loading all *Defs tables: 839ms
    [f=-000001] Game::LoadDefs (GameData): 1049 ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound]  parsed 29 sounds from gamedata/sounds.lua
    [f=-000001] Game::LoadDefs (Sound): 2 ms
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] SmoothHeightMesh::MakeSmoothMesh: 3877 ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 18
    [f=-000001] FBO::maxSamples: 8
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] Loading Weapon Definitions
    [f=-000001] Loading Unit Definitions
    [f=-000001] Loading Feature Definitions
    [f=-000001] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=-000001] Initializing Map Features
    [f=-000001] Creating ShadowHandler & DecalHandler
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] CSMFGroundTextures::ConvolveHeightMap: 18 ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Creating Water
    [f=-000001] Game::LoadInterface (Camera&Mouse): 123 ms
    [f=-000001] Game::LoadInterface (Console): 8 ms
    [f=-000001] InfoTexture: shaders
    [f=-000001] Loading LuaRules
    [f=-000001] [ArchiveScanner] GetArchives: Green_Fields_fix (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\maps\green_fields_fix.sd7 checksum: -1992992335/2301974961
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\maphelper.sdz checksum: -1180408475/3114558821
    [f=-000001] [ArchiveScanner] archive checksum Green_Fields_fix: 814824660/814824660
    [f=-000001] [ArchiveScanner] GetArchives: 7ddafcdbf87475aadeb074f6c8d3235c.sdp (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\packages\7ddafcdbf87475aadeb074f6c8d3235c.sdp checksum: 203268655/203268655
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\springcontent.sdz checksum: 966654896/966654896
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\spring\bitmaps.sdz checksum: 369695027/369695027
    [f=-000001] [ArchiveScanner] archive checksum 7ddafcdbf87475aadeb074f6c8d3235c.sdp: 596197548/596197548
    [f=-000001] debug working
    [f=-000001] Jump Jet Defs checking begining...
    [f=-000001] .. Jump Jet Defs checking complete
    [f=-000001] Error: Failed to load: unit_prevent_share_selfd.lua  (duplicate name)
    [f=-000001] Loaded SYNCED gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=-000001] Loaded SYNCED gadget:  CobButton           <unit_cobbutton.lua>
    [f=-000001] Loaded SYNCED gadget:  No Self-D           <unit_noselfd.lua>
    [f=-000001] Loaded SYNCED gadget:  Tech Trees (with count, range, sign, ...)  <better_ranged_counted_multi_tech.lua>
    [f=-000001] Loaded SYNCED gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded SYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded SYNCED gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded SYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded SYNCED gadget:  Air Transports fix  <air_transports_fix.lua>
    [f=-000001] Loaded SYNCED gadget:  Anti Stock          <unit_antistock.lua>
    [f=-000001] Loaded SYNCED gadget:  Best Total Damage   <gui_best_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded SYNCED gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=-000001] Loaded SYNCED gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded SYNCED gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Don't target flyover nukes  <unit_interceptors.lua>
    [f=-000001] Loaded SYNCED gadget:  Draw Manager Api    <api_draw_manager.lua>
    [f=-000001] Loaded SYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded SYNCED gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded SYNCED gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded SYNCED gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded SYNCED gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded SYNCED gadget:  Jumpjets            <unit_jumpjets.lua>
    [f=-000001] Loaded SYNCED gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] [unit_script.lua] Loading gadget: Lua unit script framework  <unit_script.lua>
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/armarad.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/armfrad.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/armmark.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/armmstor.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/armrad.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/corech3.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/armsd.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/armseer.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/coramph.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/corarad.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/corfrad.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/corrad.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/corsd.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/corvoyr.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/corvrad.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/nullscript.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/tllarad.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/tlldivine.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/tllobserver.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/tllradar.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/tllradarns.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/tllrichter.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/tlltarg.lua
    [f=-000001] [unit_script.lua]   Loading unit script: scripts/tllweb.lua
    [f=-000001] Loaded SYNCED gadget:  Lua unit script framework  <unit_script.lua>
    [f=-000001] Loaded SYNCED gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded SYNCED gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=-000001] Loaded SYNCED gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=-000001] Loaded SYNCED gadget:  Nano Boost          <unit_nanoboost.lua>
    [f=-000001] Loaded SYNCED gadget:  Napalm and More     <lups_napalm_and_more.lua>
    [f=-000001] Loaded SYNCED gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=-000001] Loaded SYNCED gadget:  NoCost              <cmd_nocost.lua>
    [f=-000001] Loaded SYNCED gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=-000001] Loaded SYNCED gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded SYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded SYNCED gadget:  Resign Gadget       <game_resign.lua>
    [f=-000001] Loaded SYNCED gadget:  Self destruct blocker  <unit_self_destruct.lua>
    [f=-000001] Loaded SYNCED gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=-000001] Loaded SYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded SYNCED gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=-000001] Loaded SYNCED gadget:  Stockpile limit control  <unit_stockpile_limit.lua>
    [f=-000001] Loaded SYNCED gadget:  Stun Control        <unit_stun_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Stun Energy Storage  <unit_stun_energy_storage.lua>
    [f=-000001] Loaded SYNCED gadget:  Stun Metal Storage  <unit_stun_metal_storage.lua>
    [f=-000001] Loaded SYNCED gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded SYNCED gadget:  Team Resourcing     <game_team_resources.lua>
    [f=-000001] Loaded SYNCED gadget:  Terrain Texture Handler  <terrain_texture_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Tidal Control       <unit_tidal_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Trans Control       <trans_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded SYNCED gadget:  Water platform rundry vontrol  <unit_exploding_rundry.lua>
    [f=-000001] Loaded SYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded SYNCED gadget:  Windmill Control    <unit_windmill_control.lua>
    [f=-000001] Loaded SYNCED gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded SYNCED gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded SYNCED gadget:  mo_preventcombomb   <mo_preventcombomb.lua>
    [f=-000001] Loaded SYNCED gadget:  prevent_flying_com_wrecks  <unit_prevent_flying_com_wrecks.lua>
    [f=-000001] Loaded SYNCED gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Lups Projectile for WeaponID: , 16
    [f=-000001] Lups Projectile for WeaponID: , 306
    [f=-000001] Loaded SYNCED gadget:  Projectile Lups     <lups_projectiles.lua>
    [f=-000001] Loaded SYNCED gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded SYNCED gadget:  Team Com Ends       <game_team_com_ends.lua>
    [f=-000001] Loaded SYNCED gadget:  Factory Guard       <unit_factory_guard.lua>
    [f=-000001] Loaded SYNCED gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded SYNCED gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Denial         <weapon_area_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Slave Commands to Tech Level  <cmd_slave_to_tech.lua>
    [f=-000001] Loaded SYNCED gadget:  Unit Explosion Spawner  <unit_explosion_spawner.lua>
    [f=-000001] Loaded SYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded SYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded SYNCED gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded SYNCED gadget:  Version Check       <version_warning.lua>
    [f=-000001] [ArchiveScanner] GetArchives: Green_Fields_fix (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\maps\green_fields_fix.sd7 checksum: -1992992335/2301974961
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\maphelper.sdz checksum: -1180408475/3114558821
    [f=-000001] [ArchiveScanner] archive checksum Green_Fields_fix: 814824660/814824660
    [f=-000001] [ArchiveScanner] GetArchives: 7ddafcdbf87475aadeb074f6c8d3235c.sdp (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\packages\7ddafcdbf87475aadeb074f6c8d3235c.sdp checksum: 203268655/203268655
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\springcontent.sdz checksum: 966654896/966654896
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\spring\bitmaps.sdz checksum: 369695027/369695027
    [f=-000001] [ArchiveScanner] archive checksum 7ddafcdbf87475aadeb074f6c8d3235c.sdp: 596197548/596197548
    [f=-000001] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=-000001] Switching to Overview style camera
    [f=-000001] Switching to Spring style camera
    [f=-000001] Switching to Free style camera
    [f=-000001] Switching to Rotatable overhead camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Switching to FPS style camera
    [f=-000001] Switching to Spring style camera
    [f=-000001] debug working
    [f=-000001] Loaded UNSYNCED gadget:  CustomIcons         <unit_customicons.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Tech Trees (with count, range, sign, ...)  <better_ranged_counted_multi_tech.lua>
    [f=-000001] Loaded UNSYNCED gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Map Sun Handler: Clearing groundSpecularColor via SetSunLighting because map does not change it from default.
    [f=-000001] Loaded UNSYNCED gadget:  Sun Handler         <map_sun_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Air Transports fix  <air_transports_fix.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Best Total Damage   <gui_best_damage.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Draw Manager Api    <api_draw_manager.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded UNSYNCED gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded UNSYNCED gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Nano Boost          <unit_nanoboost.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Napalm and More     <lups_napalm_and_more.lua>
    [f=-000001] Loaded UNSYNCED gadget:  No Self-D           <unit_prevent_share_selfd.lua>
    [f=-000001] Loaded UNSYNCED gadget:  NoCost              <cmd_nocost.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Opacity control     <api_opacity.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Resign Gadget       <game_resign.lua>
    [f=-000001] Loaded UNSYNCED gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Stockpile limit control  <unit_stockpile_limit.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Terrain Texture Handler  <terrain_texture_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded UNSYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded UNSYNCED gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_greenfields      <mo_greenfields.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_noowner          <mo_noowner.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_noshare          <mo_noshare.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=-000001] Loaded UNSYNCED gadget:  prevent_flying_com_wrecks  <unit_prevent_flying_com_wrecks.lua>
    [f=-000001] Loaded UNSYNCED gadget:  unit_self_destruct.lua  <unit_self_destruct.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Projectile Lups     <lups_projectiles.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Factory Guard       <unit_factory_guard.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Denial         <weapon_area_damage.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Slave Commands to Tech Level  <cmd_slave_to_tech.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Unit Explosion Spawner  <unit_explosion_spawner.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded UNSYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Version Check       <version_warning.lua>
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaUI Access Lock: enabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] [ArchiveScanner] GetArchives: Green_Fields_fix (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\maps\green_fields_fix.sd7 checksum: -1992992335/2301974961
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\maphelper.sdz checksum: -1180408475/3114558821
    [f=-000001] [ArchiveScanner] archive checksum Green_Fields_fix: 814824660/814824660
    [f=-000001] [ArchiveScanner] GetArchives: 7ddafcdbf87475aadeb074f6c8d3235c.sdp (depth 0)
    [f=-000001] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=-000001] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=-000001] [ArchiveScanner] E:\Users\MadrMan\Documents\My Games\Spring\packages\7ddafcdbf87475aadeb074f6c8d3235c.sdp checksum: 203268655/203268655
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\springcontent.sdz checksum: 966654896/966654896
    [f=-000001] [ArchiveScanner] D:\Share\RelWithDebInfo\gcc\base\spring\bitmaps.sdz checksum: 369695027/369695027
    [f=-000001] [ArchiveScanner] archive checksum 7ddafcdbf87475aadeb074f6c8d3235c.sdp: 596197548/596197548
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] nixxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    [f=-000001] Jump Jet Defs checking begining...
    [f=-000001] .. Jump Jet Defs checking complete
    [f=-000001] [widgets.lua] Loading widget from mod:   Widget Selector     <widget_selector.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Metalspot Finder    <api_metalspot_finder.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Xmas Snow, v0.3     <snow.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   HealthBars          <unit_healthbars.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   AdvPlayersList (TechA)  <gui_advplayerslist_techa.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Keybind/Mouse Info  <gui_keybind_info.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Projectile lights   <gfx_projectile_lights.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Alternate Chat Keys  <cmd_old_style_chat_keys.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Autoquit            <autoquit.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   BA_AllyCursors      <gui_ba_ally_cursors.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Blast Radius        <gui_blastradius.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Build costs 1.02-TechA  <gui_build_costs_techa.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Camera Remember     <camera_remember_mode.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Com Counter         <gui_comcounter.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Comblast & Dgun Range  <gui_comblast_dgun_range.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Engine Console on Catchup  <gui_catchup_console.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   FactoryGuard        <unit_factory_guard.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Holdfire Fix        <unit_holdfire_fix.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Ignore List API     <api_ignore.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   MoreSounds          <unit_more_sounds.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Nano Range          <gui_nano_range.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Point Tracker       <gui_point_tracker.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Radar Overlay       <gui_radar_overlay.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Red Console         <gui_red_console.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Red Resource Bars   <gui_red_resourcebars.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Rejoin Progress Bar  <gui_rejoin_progress.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   RelativeMinimap     <minimap_relative.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   SelectionButtons    <gui_selbuttons.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   SmoothCam           <camera_smoothcam.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Stockpiler          <unit_stockpile.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   TechA LOS colors    <gui_techa_los_colors.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Pre Start Metal View  <game_metal_view_overlay.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Transporting        <gui_transporting.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   gui_transport_weight_limit  <gui_transport_weight_limit.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Tech Annihilation Marker  <unit_marker.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Take Reminder II    <gui_take_remind_ii.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Auto First Build Facing  <autofirstbuildfacing.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Auto Reclaim/Heal/Assist-Comless  <auto_reclaim_heal_assist-comless.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Auto group          <unit_auto_group.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   DontBreakCloak      <unit_dontbreakcloak.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Energy Conversion Info  <gui_energy_conversion.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Group Label         <gui_group_label.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   ImmobileBuilder     <unit_immobile_builder.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Keep Morpheds Selected  <keep_morphed_selected.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Persistent Build Spacing  <gui_persistent_build_spacing.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Start Point Adder   <init_start_marker.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Red Minimap         <gui_red_minimap.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   SmoothScroll        <camera_smooth_move.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   TechA Hotkeys       <cmd_techa_hotkeys.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Context Build TechA  <cmd_context_build_techa.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Commands FX         <gui_commands_fx.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Anti Ranges (TechA)  <gui_anti_ranges_techa.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Morph Indicator     <gui_morph_indicator.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   TeamDiedMessages    <game_messages.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   CommandInsert       <gui_commandinsert.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Waypoint Dragger    <unit_waypoint_dragger_2.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Unit Stats TechA    <gui_unit_stats_techa.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Unit Count Indicator  <gui_unit_limit.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   replay buttons      <gui_replaybuttons.lua> ...
    [f=-000001] replaycontrol: Not a replay, removing myself.
    [f=-000001] [widgets.lua] Loading widget from mod:   Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Lups                <lups_wrapper.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   CustomFormations2   <unit_customformations2.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Jumjet GUI          <gui_jumpjets.lua> ...
    [f=-000001] [widgets.lua] Loading widget from mod:   Lasso Terraform GUI  <gui_lasso_terraform.lua> ...
    [f=-000001] LuaUI v0.3
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=566700120
    [f=-000001] Reading Estimate PathCosts [8]
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=566700144
    [f=-000001] Reading Estimate PathCosts [32]
    [f=-000001] [LoadFinalize] finalized PFS (427ms, checksum 9ca8b06c)
    [f=-000001] [WatchDog] deregistering controls for thread [load]
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] GameID: e9102b57f2e0f683747223377e3936eb
    [f=-000001] Connection attempt from UnnamedPlayer
    [f=-000001]  -> Version: 101.0.1-324-g505730f develop (Debug Sync-Trace Sync-Debug)
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Player UnnamedPlayer finished loading and is now ingame
    [f=0000002] UnnamedPlayer added point: Start 0
    [f=0000718] Debug: /cheat
    [f=0000719] Cheating is enabled!
    [f=0000865] Debug: /give 200 corak
    [f=0000866] [GiveUnits] spawned 200 corak unit(s) for team 0
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000934] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000935] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000936] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000937] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000938] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000939] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000940] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000941] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000942] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000943] A.K.: self-destruct in 5s
    [f=0000944] A.K.: self-destruct in 5s
    [f=0000944] A.K.: self-destruct in 5s
    [f=0000944] A.K.: self-destruct in 5s
    [f=0000944] A.K.: self-destruct in 5s
    [f=0000944] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000945] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000946] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000947] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000948] A.K.: self-destruct in 5s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000964] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000965] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000966] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000967] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000968] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000969] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000970] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000971] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000972] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000973] A.K.: self-destruct in 4s
    [f=0000974] A.K.: self-destruct in 4s
    [f=0000974] A.K.: self-destruct in 4s
    [f=0000974] A.K.: self-destruct in 4s
    [f=0000974] A.K.: self-destruct in 4s
    [f=0000974] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000975] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000976] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000977] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000978] A.K.: self-destruct in 4s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000994] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000995] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000996] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000997] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000998] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0000999] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001000] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001001] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001002] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001003] A.K.: self-destruct in 3s
    [f=0001004] A.K.: self-destruct in 3s
    [f=0001004] A.K.: self-destruct in 3s
    [f=0001004] A.K.: self-destruct in 3s
    [f=0001004] A.K.: self-destruct in 3s
    [f=0001004] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001005] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001006] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001007] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001008] A.K.: self-destruct in 3s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001024] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001025] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001026] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001027] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001028] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001029] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001030] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001031] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001032] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001033] A.K.: self-destruct in 2s
    [f=0001034] A.K.: self-destruct in 2s
    [f=0001034] A.K.: self-destruct in 2s
    [f=0001034] A.K.: self-destruct in 2s
    [f=0001034] A.K.: self-destruct in 2s
    [f=0001034] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001035] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001036] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001037] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001038] A.K.: self-destruct in 2s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001054] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001055] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001056] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001057] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001058] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001059] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001060] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001061] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001062] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001063] A.K.: self-destruct in 1s
    [f=0001064] A.K.: self-destruct in 1s
    [f=0001064] A.K.: self-destruct in 1s
    [f=0001064] A.K.: self-destruct in 1s
    [f=0001064] A.K.: self-destruct in 1s
    [f=0001064] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001065] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001066] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001067] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001068] A.K.: self-destruct in 1s
    [f=0001361] [QuitBox] user exited to system
    [f=0001362] [SpringApp::ShutDown][1]
    [f=0001362] [ThreadPool::SetThreadCount][1] #wanted=0 #current=1 #max=1
    [f=0001362] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0001362] [SpringApp::ShutDown][2]
    [f=0001362] [KillLua][1]
    [f=0001362] [KillLua][2]
    [f=0001362] [KillLua][3]
    [f=0001362] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0001362] Sorting roster by Allies
    [f=0001362] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0001362] [KillLua][4]
    [f=0001362] [~CGame]1]
    [f=0001362] [KillLua][1]
    [f=0001362] [KillLua][2]
    [f=0001362] [KillLua][3]
    [f=0001362] [KillLua][4]
    [f=0001362] [KillMisc][1]
    [f=0001362] [KillMisc][2]
    [f=0001362] [KillRendering][1]
    [f=0001362] [KillInterface][1]
    [f=0001362] [KillInterface][2]
    [f=0001362] [KillSimulation][1]
    [f=0001362] [KillSimulation][2]
    [f=0001362] [CCollisionHandler] dis-/continuous tests: 0/188019
    [f=0001362] [KillSimulation][3]
    [f=0001362] [~CPathCache(32x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0001362] [~CPathCache(32x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0001362] [~CPathCache(128x128)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0001362] [~CPathCache(128x128)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=1
    [f=0001362] Statistics for RectangleOptimizer: 0%
    [f=0001362] Statistics for RectangleOptimizer: 0%
    [f=0001362] LosHandler stats: total instances=236; shared=58%; from cache=0%
    [f=0001362] [KillSimulation][4]
    [f=0001362] [~CGame][2]
    [f=0001362] [~CGame][3]
    [f=0001362] [SpringApp::ShutDown][3]
    [f=0001362] Statistics for local connection:
    Received: 4694 bytes
    Sent: 16285 bytes
    
    [f=0001362] Writing demo: D:\Share\RelWithDebInfo\gcc\demos\20160505_112249_Green_Fields_fix_101.0.1-324-g505730f develop.sdfz
    [f=0001362] [GameServer] [~CGameServer][1]
    [f=0001362] [GameServer] [~CGameServer][2]
    [f=0001362] [SpringApp::ShutDown][4]
    [f=0001362] [Sound] [~CSound][1] soundThread=10b93898
    [f=0001362] [WatchDog] deregistering controls for thread [audio]
    [f=0001362] [Sound] [~CSound][2]
    [f=0001362] [Sound] [~CSound][3]
    [f=0001362] [SpringApp::ShutDown][5]
    [f=0001362] [SpringApp::ShutDown][6]
    [f=0001362] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [VFS] [~CVFSHandler] #archives=5
    [VFS] 	archive=D:\Share\RelWithDebInfo\gcc\base\maphelper.sdz (10b52180)
    [VFS] 	archive=D:\Share\RelWithDebInfo\gcc\base\spring\bitmaps.sdz (165187b8)
    [VFS] 	archive=D:\Share\RelWithDebInfo\gcc\base\springcontent.sdz (16518448)
    [VFS] 	archive=E:\Users\MadrMan\Documents\My Games\Spring\maps\green_fields_fix.sd7 (17d76050)
    [VFS] 	archive=E:\Users\MadrMan\Documents\My Games\Spring\packages\7ddafcdbf87475aadeb074f6c8d3235c.sdp (165180d8)
    [SpringApp::ShutDown][8]
    [WatchDog] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=10b56e30
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    txt file icon infolog.txt (85,508 bytes) 2016-05-05 11:26 +

-Relationships
has duplicate 0005167resolvedabma graphical glitches (101.0.1-136) 
+Relationships

-Notes

~0016264

MadrMan (developer)

Managed to somewhat reliably reproduce it on the nvidia gpu:
https://dl.dropboxusercontent.com/u/314911/spring/screen00009.jpg
https://dl.dropboxusercontent.com/u/314911/spring/screen00023.jpg

/cheat
/give 800 corkrog
happy control-d'ing

~0016278

hokomoko (developer)

countless AKs and krogs lost their lives but I couldn't reproduce this

~0016280

MadrMan (developer)

I'm fairly convinced the bugs I'm having on the AMD gpu and the Nvidia gpu are two distinct bugs; the bug on the Nvidia seems to be one of those tiny explosions effects with an extreme scaling applied. The position and colors seem to be an exact match, plus they actually cast shadows correctly from what I can tell..

The AMD issue seems to be different, but not necessarily unrelated. I'll try a bunch of a different GL tools and see if I can figure out what it's originating from.

~0016299

MadrMan (developer)

Right, the AMD issue: I tracked it down to CProjectileDrawer::DrawProjectileModel, which draws a certain piece while rotating it as follows:

glRotatef(angle = 6.95593e+22, x = 0.892289, y = -0.292652, z = 0.343766)

Applying that insane angle causes the verts to be so warped (due to floating point inaccuracing I guess) that they mess stuff up.
Manually changing the angle to '0' for that call 'fixed' the issue, still trying to figure out where the angle is originating from.

~0016302

MadrMan (developer)

Fix 9bcf38df22d80e3fc3e3d5a904a05c9adb6c322c committed to develop branch: Fix 0005227: spinAngle was garbage, so affected vertices also turned into garbage., repo: spring changeset id: 7063
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-05-05 11:26 MadrMan New Issue
2016-05-05 11:26 MadrMan File Added: infolog.txt
2016-05-05 11:37 MadrMan Note Added: 0016264
2016-05-07 21:11 hokomoko Note Added: 0016278
2016-05-08 13:37 MadrMan Note Added: 0016280
2016-05-15 15:22 MadrMan Note Added: 0016299
2016-05-15 16:48 MadrMan Changeset attached => spring develop 9bcf38df
2016-05-15 16:48 MadrMan Note Added: 0016302
2016-05-15 16:48 MadrMan Assigned To => MadrMan
2016-05-15 16:48 MadrMan Status new => resolved
2016-05-15 16:48 MadrMan Resolution open => fixed
2016-05-19 16:06 hokomoko Relationship added has duplicate 0005167
+Issue History